Subject: Re: [PATCH v2] block-sha1: remove use of assembly

From: "brian m. carlson" <[email-masked]>
Date: Wed, 9 Mar 2022 22:10:33 +0000

On 2022-03-08 at 13:38:06, Ævar Arnfjörð Bjarmason wrote:
> 
> On Tue, Mar 08 2022, brian m. carlson wrote:
> 
> I think the $subject of the patch needs updating. It's not removing all
> the assemply from the file, after this patch we still have the
> ARM-specific assembly.
> 
> I don't have a box to test that on, but I wonder if that also triggers
> the pedantic mode?
> 
> Perhaps:
> 
>     block-sha1: remove superfluous i386 and x86-64 assembly

I suspect it has the same problem.  My inclination is to just remove it,
because my guess is that the compiler has gotten smarter between 2009
and now.

I honestly intend to just remove this code in a future version because
everyone not using SHA1DC has a security problem and we shouldn't offer
insecure options.

However, I think for now, I'm just going to reroll this with the new
title and then I can remove it in a future version unless somebody with
an ARM system can relatively quickly tell me whether it's necessary.
-- 
brian m. carlson (he/him or they/them)
Toronto, Ontario, CA